# WCC::Styles

This gem holds all of the styles for Watermark apps. For Rails apps a
Rails Engine will automatically be set up that configures the asset
pipeline properly.

Check out the [Watermark Pattern Library](https://patterns.watermark.org).

## Installation

Add these lines to your application's Gemfile:

```ruby
gem 'wcc-styles'

gem 'coffee-rails', '~> 4.2.2'
gem 'sass-rails', '~> 5.1.0'
source 'https://rails-assets.org' do
  gem 'rails-assets-selectize'
  gem 'rails-assets-dropzone'
  gem 'rails-assets-moment'
  gem 'rails-assets-moment-timezone'
  gem 'rails-assets-datetimepicker', '2.4.5'
end

```

And then execute:

    $ bundle

## Usage

The assets are all namespaced in `wcc/styles` within the asset pipeline.
So to include styles in an `application.sass` within your application
include the following line:

```sass
@import "wcc/styles";
```

To include the Javascript code add this to your `application.js`:

```javascript
//= require wcc/styles
```
